<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div
  [ngClass]="['bg-transparent flex items-center cursor-pointer text-xs font-medium text-white select-none h-12 tracking-wider hover:bg-primary-400', 'w-40']"
  [style]="{ marginTop: marginTop }"
>
  <div class="flex items-center text-white px-4">
    <i *ngIf="icon" [class]="'w-8 text-white pr-4 ' + icon" style="font-size: 1rem"></i>
    <div>{{ name ?? 'Menu item' }}</div>
    <div class="w-12 flex items-center justify-center">
      <i [ngClass]="['pi', folded ? 'pi-chevron-right' : 'pi-chevron-down']" style="font-size: 0.8rem"></i>
    </div>
  </div>
</div>
<div *ngIf="!folded" [ngClass]="['mb-4']">
  <ng-content></ng-content>
</div>
